ExecuteCode
curl --request POST \
--url https://app.textql.com/v1/sandbox/execute \
--header 'Authorization: Bearer <token>' \
--header 'Connect-Protocol-Version: <connect-protocol-version>' \
--header 'Content-Type: application/json' \
--data '
{
"sandboxId": "<string>",
"code": "<string>"
}
'import requests
url = "https://app.textql.com/v1/sandbox/execute"
payload = {
"sandboxId": "<string>",
"code": "<string>"
}
headers = {
"Connect-Protocol-Version": "<connect-protocol-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Connect-Protocol-Version': '<connect-protocol-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({sandboxId: '<string>', code: '<string>'})
};
fetch('https://app.textql.com/v1/sandbox/execute', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"output": [
"<string>"
],
"error": "<string>",
"files": [
{
"name": "<string>",
"url": "<string>",
"mimeType": "<string>"
}
],
"dataframes": [
{
"name": "<string>",
"numRows": 123,
"numCols": 123
}
],
"executionTimeMs": 123
}{
"message": "<string>",
"details": [
{
"type": "<string>",
"value": "<string>",
"debug": {}
}
]
}Sandbox
Execute Code
Execute Python code in a running sandbox
POST
/
v1
/
sandbox
/
execute
ExecuteCode
v2 available: See POST /v2/sandcastles//execute for the REST-native version of this endpoint.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Define the version of the Connect protocol
Available options:
1 Define the timeout, in ms
Response
Success
Lines of stdout output
Error message if execution failed
Files generated during execution
Show child attributes
Show child attributes
DataFrames created or modified during execution
Show child attributes
Show child attributes
⌘I